unit PhoneBook.Entities.Contacts;

interface

type

{$M+}

{ TContact }

  TContact = class
  private
    FID: Integer;
    FName: string;
    FPhone: string;
  public
    function Clone: TContact;
  published
    property ID: Integer read FID write FID;
    property Name: string read FName write FName;
    property Phone: string read FPhone write FPhone;
  end;

  TNewContact = class
  private
    FName: string;
    FPhone: string;
  published
    property Name: string read FName write FName;
    property Phone: string read FPhone write FPhone;
  end;

{$M-}

implementation

{ TContact }

function TContact.Clone: TContact;
begin
  Result := TContact.Create;
  Result.ID := Self.ID;
  Result.Name := Self.Name;
  Result.Phone := Self.Phone;
end;

end.
