unit Organizer.Entities.Task;

interface

uses
  MVCFramework.Serializer.Commons;

type

{ TTask }

  [MVCNameCase(ncCamelCase)]
  TTask = class
  private
    FID: TGUID;
    FDescription: string;
    FDone: Boolean;
  public
    constructor Create(const AID: TGUID; const ADescription: string);
    property ID: TGUID read FID write FID;
    property Description: string read FDescription write FDescription;
    property Done: Boolean read FDone write FDone;
  end;

implementation

{ TTask }

constructor TTask.Create(const AID: TGUID; const ADescription: string);
begin
  inherited Create;
  FID := AID;
  FDescription := ADescription;
end;

end.
